# \Thelia\ModelLangQuery

Skeleton subclass for performing query and update operations on the 'lang' table.

You should add additional methods to this class to meet the application requirements. This class will only be generated as long as it does not already exist in the output directory.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByTitle()
filterByCode()
filterByLocale()
filterByUrl()
filterByByDefault()
filterByCreatedAt()
filterByUpdatedAt()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderById()
orderByTitle()
orderByCode()
orderByLocale()
orderByUrl()
orderByByDefault()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByTitle()
groupByCode()
groupByLocale()
groupByUrl()
groupByByDefault()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
findOne()
findOneOrCreate()
findOneById()
findOneByTitle()
findOneByCode()
findOneByLocale()
findOneByUrl()
findOneByByDefault()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByTitle()
findByCode()
findByLocale()
findByUrl()
findByByDefault()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Model/LangQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\LangQuery
  \Thelia\Model\LangQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\LangQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\LangQuery

Returns a new ChildLangQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\LangQuery

#

static

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Lang|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\Lang|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Base\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\Base\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\LangQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\LangQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\LangQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### filterByTitle()

    filterByTitle(string $title, string $comparison) : \Thelia\Model\LangQuery

Filter the query on the title column

Example usage: `$query->filterByTitle('fooValue'); // WHERE title = 'fooValue' $query->filterByTitle('%fooValue%'); // WHERE title LIKE '%fooValue%'`

#### Parameters

string | $title | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### filterByCode()

    filterByCode(string $code, string $comparison) : \Thelia\Model\LangQuery

Filter the query on the code column

Example usage: `$query->filterByCode('fooValue'); // WHERE code = 'fooValue' $query->filterByCode('%fooValue%'); // WHERE code LIKE '%fooValue%'`

#### Parameters

string | $code | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### filterByLocale()

    filterByLocale(string $locale, string $comparison) : \Thelia\Model\LangQuery

Filter the query on the locale column

Example usage: `$query->filterByLocale('fooValue'); // WHERE locale = 'fooValue' $query->filterByLocale('%fooValue%'); // WHERE locale LIKE '%fooValue%'`

#### Parameters

string | $locale | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### filterByUrl()

    filterByUrl(string $url, string $comparison) : \Thelia\Model\LangQuery

Filter the query on the url column

Example usage: `$query->filterByUrl('fooValue'); // WHERE url = 'fooValue' $query->filterByUrl('%fooValue%'); // WHERE url LIKE '%fooValue%'`

#### Parameters

string | $url | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### filterByByDefault()

    filterByByDefault(mixed $byDefault, string $comparison) : \Thelia\Model\LangQuery

Filter the query on the by_default column

Example usage: `$query->filterByByDefault(1234); // WHERE by_default = 1234 $query->filterByByDefault(array(12, 34)); // WHERE by_default IN (12, 34) $query->filterByByDefault(array('min' => 12)); // WHERE by_default > 12`

#### Parameters

mixed | $byDefault | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\LangQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\LangQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### prune()

    prune(\Thelia\Model\Lang $lang) : \Thelia\Model\LangQuery

Exclude object from result

#### Parameters

\Thelia\Model\Lang | $lang | Object to remove from the list of results

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the lang table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildLang or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\LangQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\LangQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\LangQuery

Order by update date desc

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\LangQuery

Order by update date asc

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\LangQuery

Order by create date desc

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\LangQuery

Order by create date asc

#### Returns

\Thelia\Model\LangQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\LangQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### orderByTitle()

    orderByTitle($order =) : \Thelia\Model\LangQuery

Order by the title column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### orderByCode()

    orderByCode($order =) : \Thelia\Model\LangQuery

Order by the code column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### orderByLocale()

    orderByLocale($order =) : \Thelia\Model\LangQuery

Order by the locale column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### orderByUrl()

    orderByUrl($order =) : \Thelia\Model\LangQuery

Order by the url column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### orderByByDefault()

    orderByByDefault($order =) : \Thelia\Model\LangQuery

Order by the by_default column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\LangQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\LangQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\LangQuery

Group by the id column

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### groupByTitle()

    groupByTitle() : \Thelia\Model\LangQuery

Group by the title column

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### groupByCode()

    groupByCode() : \Thelia\Model\LangQuery

Group by the code column

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### groupByLocale()

    groupByLocale() : \Thelia\Model\LangQuery

Group by the locale column

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### groupByUrl()

    groupByUrl() : \Thelia\Model\LangQuery

Group by the url column

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### groupByByDefault()

    groupByByDefault() : \Thelia\Model\LangQuery

Group by the by_default column

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\LangQuery

Group by the created_at column

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\LangQuery

Group by the updated_at column

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\LangQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\LangQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\LangQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\LangQuery

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\Lang

Return the first ChildLang matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Lang

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\Lang

Return the first ChildLang matching the query, or a new ChildLang object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Lang

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\Lang

Return the first ChildLang filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\Lang

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findOneByTitle()

    findOneByTitle(string $title) : \Thelia\Model\Lang

Return the first ChildLang filtered by the title column

#### Parameters

string | $title |

#### Returns

\Thelia\Model\Lang

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findOneByCode()

    findOneByCode(string $code) : \Thelia\Model\Lang

Return the first ChildLang filtered by the code column

#### Parameters

string | $code |

#### Returns

\Thelia\Model\Lang

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findOneByLocale()

    findOneByLocale(string $locale) : \Thelia\Model\Lang

Return the first ChildLang filtered by the locale column

#### Parameters

string | $locale |

#### Returns

\Thelia\Model\Lang

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findOneByUrl()

    findOneByUrl(string $url) : \Thelia\Model\Lang

Return the first ChildLang filtered by the url column

#### Parameters

string | $url |

#### Returns

\Thelia\Model\Lang

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findOneByByDefault()

    findOneByByDefault(int $by_default) : \Thelia\Model\Lang

Return the first ChildLang filtered by the by_default column

#### Parameters

int | $by_default |

#### Returns

\Thelia\Model\Lang

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\Lang

Return the first ChildLang filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\Lang

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\Lang

Return the first ChildLang filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\Lang

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildLang objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findByTitle()

    findByTitle(string $title) : array

Return ChildLang objects filtered by the title column

#### Parameters

string | $title |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findByCode()

    findByCode(string $code) : array

Return ChildLang objects filtered by the code column

#### Parameters

string | $code |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findByLocale()

    findByLocale(string $locale) : array

Return ChildLang objects filtered by the locale column

#### Parameters

string | $locale |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findByUrl()

    findByUrl(string $url) : array

Return ChildLang objects filtered by the url column

#### Parameters

string | $url |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findByByDefault()

    findByByDefault(int $by_default) : array

Return ChildLang objects filtered by the by_default column

#### Parameters

int | $by_default |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildLang objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildLang objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Lang

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Lang —

A model object, or null if the key is not found

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Lang|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Lang|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\LangQuery

## Tags

None found

### LangQuery.php